using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("zx_daily_report")]
    public class ZxDailyReportEntity
    {

        
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "uuid", IsPrimaryKey = true)]
        public string Uuid { get; set; }

        /// <summary>
        /// 备  注:硫化机位
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "vulcanization_no")]
        public string VulcanizationNo { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:开始时间
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "start_time")]
        public DateTime StartTime { get; set; } = DateTime.Now;

        /// <summary>
        /// 备  注:成品代号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_code")]
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:SPEC名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_name")]
        public string RecipeName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:SPEC编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "spec_code")]
        public string SpecCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:小车编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "device_no")]
        public int? DeviceNo { get; set; }

        /// <summary>
        /// 备  注:生胎重量
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "raw_tire_weight")]
        public int? RawTireWeight { get; set; }

        /// <summary>
        /// 备  注:基部胶开始
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "base_start_time")]
        public DateTime? BaseStartTime { get; set; }

        /// <summary>
        /// 备  注:基部胶结束
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "base_end_time")]
        public DateTime? BaseEndTime { get; set; }

        /// <summary>
        /// 备  注:中层胶开始
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "mid_start_time")]
        public DateTime? MidStartTime { get; set; }

        /// <summary>
        /// 备  注:中层胶结束
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "mid_end_time")]
        public DateTime? MidEndTime { get; set; }

        /// <summary>
        /// 备  注:胎面胶开始
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "face_start_time")]
        public DateTime? FaceStartTime { get; set; }

        /// <summary>
        /// 备  注:胎面胶结束（生胎完成）
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "face_end_time")]
        public DateTime? FaceEndTime { get; set; }

        /// <summary>
        /// 备  注:是否已完成(0未完成 1完成 2中止)
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_done")]
        public int? IsDone { get; set; }


    }

}